                            G A L A G A
                           =============
                          by Brian Murray
                   (brian@demon.csd.unsw.edu.au)

There are apparently many different galaga implementations, this one
happens to be mine. I don't know how I would identify my particular
boards, but I'll give as much as I can. (They were from a tabletop
if that matters). There are two boards, both with blue solder masks.
The top one (slightly larger) is the CPU board, has the 4 processors
and program EPROMS, and holds a small credit-card sized daughter
board that plugs into a 28-pin DIP socket near the EPROMS. It also has
'DG-09-2' silk-screened in one corner near the main connector. The bottom
board is the video board. It has a small 5 pin connector in one corner
for the video output signal, wired as follows :

(closest to corner of board) 1 - Red
                             2 - Blue
                             3 - Green
                             4 - Sync
                             5 - Video GND

Note in my game, this connector has had wires soldered straight to it
and these brought around and soldered to the main connector in the
positions shown below, and the monitor wired to this connector instead.

Galaga DIP switch settings. The following information has been copied
from wiretap.spies.com (original submission by z_morganrw@ccsvax.sfasu.edu)
but slight changes have been made to reflect my game.

There are two sets of DIP switches on the Galaga CPU board. I'll label them
SWA and SWB following the schematic. SWA is closest to the corner of the
board (located at 11C), SWB closest to the main connector (located at 11E).

Switch bank SWA sets the number of credits, lives and lives given at certain
scores. (This is identical to switch bank 6K as specified by
z_morganrw@ccsvax.sfasu.edu) :

      SW1  SW2  SW3   (Coins per Credit)
     --------------------------------------------
      ON   ON   ON       FREE PLAY (although this doesn't seem to work for me)
      ON   ON   OFF      4 Coins       1 Credit
      ON   OFF  ON       3 Coins       1 Credit
      ON   OFF  OFF      2 Coins       1 Credit
      OFF  ON   ON       2 Coins       3 Credits
      OFF  ON   OFF      1 Coin        3 Credits
      OFF  OFF  ON       1 Coin        2 Credits
      OFF  OFF  OFF      1 Coin        1 Credit


      SW4  SW5  SW6    (Bonus ships awarded.)
                        Began with 2, 3,        Began with 5
                        or 4 fighters           fighters.
     ----------------------------------------------------------------
                        1st SHIP    20000       1st SHIP    30000
      ON   ON   OFF     2nd SHIP    60000       2nd SHIP   100000
                        AND EVERY   60000       AND EVERY  100000
                      -----------------------------------------------
                        1st SHIP    20000       1st SHIP    30000
      ON   OFF  ON      2nd SHIP    70000       2nd SHIP   120000
                        AND EVERY   70000       AND EVERY  120000
                      -----------------------------------------------
                        1st SHIP    20000       1st SHIP    30000
      ON   OFF  OFF     2nd SHIP    80000       2nd SHIP   150000
                        AND EVERY   80000       AND EVERY  150000
                      -----------------------------------------------
                        1st SHIP    30000       1st SHIP    30000
      OFF  ON   ON      2nd SHIP   100000       2nd SHIP   100000
                        AND EVERY  100000
                      -----------------------------------------------
                        1st SHIP    30000       1st SHIP    30000
      OFF  ON   OFF     2nd SHIP   120000       2nd SHIP   120000
                        AND EVERY  120000
                      -----------------------------------------------
                        1st SHIP    20000       1st SHIP    30000
      OFF  OFF  ON      2nd SHIP    60000       2nd SHIP   150000
                      -----------------------------------------------
                        1st SHIP    30000       ONE SHIP    30000
      OFF  OFF  OFF     2nd SHIP    80000            ONLY
                      -----------------------------------------------
      ON   ON   ON        NO BONUS SHIPS GIVEN WITH THIS SETTING
     ----------------------------------------------------------------


      SW7  SW8     (Number of fighters to start with)
     ----------------------------------------------------------------
      ON   ON       2 Space Fighters
      ON   OFF      3 Space Fighters
      OFF  ON       4 Space Fighters
      OFF  OFF      5 Space Fighters

SWB is used for setting the difficulty of Galaga. Switches SW4, SW7,
and SW8 don't appear to do anything. (This differs slightly
from switch bank 6J as specified by z_morganrw@ccsvax.sfasu.edu) :

      SW1  SW2
     -------------------------------------------------
      OFF  OFF    Rank "A" - Easiest level of play.
      ON   ON     Rank "B"
      OFF  ON     Rank "C"
      ON   OFF    Rank "D" - Hardest level of play.

      SW3
     -------------------------------------------------
      ON   Some sort of test/debug mode, do not use
      OFF  Normal operation

      SW5  (The "damn the phone's ringing" switch :-)
     -------------------------------------------------
      ON   Freeze game
      OFF  Normal operation

      SW6
     -------------------------------------------------
      ON   Automatic rack advance (cheat mode).
      OFF  Normal operation

